]> arthur.barton.de Git - bup.git/blobdiff - t/test.sh
test.sh: set LC_ALL=C for git fsck to avoid localized output
[bup.git] / t / test.sh
index 3f578f1f38a103f9d058dc3ce25ad42a953c2a46..fb2002354a7e07fc7ab1af148b10172ab67defd4 100755 (executable)
--- a/t/test.sh
+++ b/t/test.sh
@@ -51,7 +51,7 @@ WVSTART "save/git-fsck"
     #git prune
     WVPASS bup random 4k | WVPASS bup split -b
     (WVPASS cd "$top/t/sampledata" && WVPASS bup save -vvn master /) || exit $?
-    result="$(git fsck --full --strict 2>&1)" || exit $?
+    result="$(LC_ALL=C git fsck --full --strict 2>&1)" || exit $?
     n=$(echo "$result" |
         WVFAIL egrep -v 'dangling (commit|tree|blob)' |
         WVPASS tee -a /dev/stderr |